--牛魔4层在线回收
--配合挂机》触发进行在线回收，其中也演示了周知物品的用法

local g_hpnum=100 --红药数量
local g_hpname="强效金创药"
local g_mpnum=100 --蓝药数量
local g_mpname="强效魔法药"

--物品处理
function 物品处理()
	--极品存仓
	local bsave=是否需要存()
	if bsave then
		喊话("@会员")
		等待(1500)
		选择("@-2")
		等待(1500)
		存()
	end
	--回收祖玛首饰
	local nZMnum=获取物品数量("[祖玛首饰]")
	if nZMnum>0 then
		喊话("@会员")
		等待(1500)
		选择("@80")
		等待(1500)
		选择("@90")
		等待(1500)
	end
	--回收祖玛武器
	local nZMWQnum=获取物品数量("[祖玛武器]")
	if nZMWQnum>0 then
		喊话("@会员")
		等待(1500)
		选择("@80")
		等待(1500)
		选择("@100")
		等待(1500)
	end
	--回收赤月装备
	local nCYnum=获取物品数量("[赤月装备]")
	if nCYnum>0 then
		喊话("@会员")
		等待(1500)
		选择("@80")
		等待(1500)
		选择("@111")
		等待(1500)
	end
	--回收40级新衣
	local n40YFnum=获取物品数量("[40级新衣]")
	if n40YFnum>0 then
		喊话("@会员")
		等待(1500)
		选择("@80")
		等待(1500)
		选择("@104")
		等待(1500)
	end
	--回收怒斩系列
	local nLZXLnum=获取物品数量("[怒斩系列]")
	if nLZXLnum>0 then
		喊话("@会员")
		等待(1500)
		选择("@80")
		等待(1500)
		选择("@124")
		等待(1500)
	end
	--回收屠龙系列
	local nTLXLnum=获取物品数量("[屠龙系列]")
	if nTLXLnum>0 then
		喊话("@会员")
		等待(1500)
		选择("@80")
		等待(1500)
		选择("@86")
		等待(1500)
	end
	--买药
	local hpnum=获取物品数量(g_hpname)
	local mpnum=获取物品数量(g_mpname)
	local buyhp=(hpnum<g_hpnum)
	local buymp=(mpnum<g_mpnum)
	if buyhp or buymp then
		喊话("@会员")
		等待(1500)
		选择("@-1")
		等待(1500)
		if buyhp then
			买("强效金创药",g_hpnum-hpnum,99,1500)
		end
		if buymp then
			买("强效魔法药",g_mpnum-mpnum,99,1500)
		end
	end
	return 挂机()
end

--地图挂机
function 挂机()
	开始挂机()
	return 物品处理()
end

--开始
do
	--周知物品
	清空周知物品()
	添加周知物品("沃玛首饰","幽灵项链|龙之戒指|幽灵手套|铂金戒指|心灵手镯|天珠项链|红宝石戒指|思贝儿手镯|生命项链")
	添加周知物品("祖玛首饰","力量戒指|骑士手镯|阎罗手套|绿色项链|黑铁头盔|泰坦戒指|三眼手镯|灵魂项链|紫碧螺|龙之手镯|恶魔铃铛")
	添加周知物品("祖玛武器","裁决之杖|骨玉权杖|龙纹剑")
	添加周知物品("赤月装备","圣战手镯|圣战头盔|圣战戒指|圣战项链|法神手镯|法神头盔|法神戒指|法神项链|天尊手镯|天尊头盔|天尊戒指|天尊项链")
	添加周知物品("40级新衣","天魔神甲|圣战宝甲|法神披风|霓裳羽衣|天尊道袍|天师长袍")
	添加周知物品("怒斩系列","怒斩|龙牙|逍遥扇")
	添加周知物品("屠龙系列","屠龙|嗜魂法杖")
	--挂机路线
	设置环状挂机路线()
	添加挂机路线点2("D2075",63,98,3)
	添加挂机路线点2("D2075",126,16,3)
	添加挂机路线点2("D2075",180,164,3)
	添加挂机路线点2("D2075",23,145,3)
	--开始
	挂机()
end
